<template>
    <div class="container">
      <br>
      <MovieCard v-bind:movies="favoritemovie"  v-bind:filter="filterMovie" v-if="favoritemovie.length !== 0"/>
    </div>
</template>
<script>
import MovieCard from '@/components/MovieCard.vue'

export default {
  name: 'Favorite',
  components: {
    MovieCard
  },
  beforeMount() {
    this.$store.dispatch('getFavorite')
  },
  data (){
    return {
      filterMovie:''
    }
  },

  computed: {
    favoritemovie() {
      return this.$store.state.favoriteMovie
    },
  },
  methods: {
  }
}
</script>
